html,body {
    overflow-x: clip;
}

.layer.feedback_layer {
    position: fixed;
    left: 0 !important;
    top: 0 !important;
    bottom: 0 !important;
    right: 0 !important;
    display: flex !important;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.5);
    z-index: 99999;
    overflow-y: auto;
    padding: 50px;
    margin: 0 !important;
    width: 100vw !important;
    visibility: visible;
    opacity: 1;
    transition: 
        .1s ease-in-out visibility,
        .1s ease-in-out opacity;
}

.layer.feedback_layer:not(.--show) {
    visibility: hidden;
    opacity: 0;
}

.layer.feedback_layer .layer-in {
    height: auto !important;
    overflow: clip !important;
}

.layer.feedback_layer .close {
    /* position: sticky;
    background: #ffff;
    padding: 5px;
    border-radius: 5px;
    margin-bottom: -25px; */
    position: relative;
    align-self: flex-end;
    margin: 10px 0 -20px;
    z-index: 99999;
    /* transition: .05s linear filter; */
}

.layer.feedback_layer .close:is(:hover, :active) {
    filter: 
        hue-rotate(-30deg) saturate(5)
        drop-shadow(1px 0px 0px red)
        drop-shadow(-1px 0px 0px red)
        drop-shadow(0px 1px 0px red)
        drop-shadow(0px -1px 0px red);
}

.layer.feedback_layer .close > a::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    width: 100%;
    min-width: 48px;
    aspect-ratio: 1/1;
}


.layer.feedback_layer .orange_dash_border {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: visible;
}

.layer.feedback_layer .feedback_form_div {
    margin: auto;
}

.layer.feedback_layer .feedback_form_div .article_title {
    position: static;
    margin: 0;
    padding: 0;
}

.feedback_loader {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    height: 200px;
}
.feedback_loader::after {
    content: "";
    width: 40px;
    height: 40px;
    border: 4px solid #f3f3f3;
    border-top: 4px solid #ef8a25;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media all and (max-width: 1024px) {
    .layer.feedback_layer .close {
        margin: 10px 0 -10px;
    }
}

@media all and (max-width: 767px) {
    .layer.feedback_layer .close {
        margin: 10px 0 0px;
    }
}

@media screen and (max-aspect-ratio: 3/4) {
    .layer.feedback_layer {
        padding: 0;
    }
    .layer.feedback_layer .layer-in {
        min-height: 100vh;
    }
}


.is_agree_checkbox {
    line-height: 1.4;
}


.is_agree_checkbox > input[type="checkbox"] {
    width: auto !important;
    vertical-align: middle;
    margin-right: 5px;
}
.is_agree_checkbox > label {
    display: inline;
    vertical-align: middle;
    padding: 0;
    max-width: initial;
    white-space: normal;
}

/* */

.feedback--new {
    padding-right: 15px;
}
.feedback--new h3 {
    color: #111;
    font-size: 1rem;
    padding-bottom: 0;
}


.feedback--new input,
.feedback--new select,
.feedback--new textarea {
    margin: 0;
    width: 100%;
}

.feedback--new fieldset {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}
.feedback--new fieldset.--columns {
    flex-direction: row;
    gap: 10px;
}

.feedback--new fieldset.--columns > div {
    flex: 1 0 auto;
}

.feedback--new fieldset label {
    white-space: normal;
    max-width: none;
}

.feedback--new fieldset label:first-child {
    display: flex;
    gap: 5px;
    font-weight: bold;
    color: #111;
}

.feedback--new fieldset label:last-child {
    margin-top: 10px;
}

.feedback--new fieldset label.--required::after {
    content: '*';
    display: inline;
    color: red;
}

.feedback--new fieldset .error_list {
    top: 100%;
}

/* */

.feedback-partnership > h2 {
    margin-bottom: -10px;
}
.feedback-partnership .or-text {
    text-align: center;
    padding-right: 16px;
}

.feedback-space > h2:first-child {
    margin-bottom: -10px;
}
.feedback-space .or-text {
    text-align: center;
    padding-right: 16px;
}

@media (max-width: 767px) {
    .feedback-space > fieldset + h2 {
        margin-top: 25px;
    }
}


.feedback_form .radio_list {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.feedback_form .radio_list > li {
    display: flex!important;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 3px;
}

.feedback_form .radio_list > li > input {
    width: auto;
    margin: 0;
    padding: 0;
}

.feedback_form .radio_list > li > label {
    max-width: none;
    padding: 0;
    width: auto;
    color: #F58110;
    cursor: pointer;
}






label[for="feedback_agree"]{
    cursor: pointer;
}
.btn-sbmt.disabled{
    pointer-events: none;
    background: gray;
}

#partnershipForm {
    display: inline-block;
    color: #f7971d !important;
    text-decoration: none;
    font-size: 120%;
    margin-bottom: 10px;
}
#partnershipForm:hover {
    color: #fff !important;
}

* + #partnershipForm {
    margin-top: 10px;
}
#partnershipForm:last-child {
    margin-bottom: 20px;
}